import request from '@/utils/request'
import { URL } from '@/config'

export function getBaseList(params) {
  return request({
    url: URL.edu.certificate.getList,
    method: 'get',
    params,
  })
}

export function getExamList(params) {
  return request({
    url: URL.edu.certificate.getExamList,
    method: 'get',
    params,
  })
}

export function getCycleList(params) {
  return request({
    url: URL.edu.certificate.getCycleList,
    method: 'get',
    params,
  })
}

export function doEdit(params) {
  return request({
    url: URL.edu.certificate.add,
    method: 'post',
    params,
  })
}

export function doDelete(params) {
  return request({
    url: URL.edu.certificate.doDelete,
    method: 'get',
    params,
  })
}

export function editState(params) {
  return request({
    url: URL.edu.certificate.editState,
    method: 'get',
    params,
  })
}
